<p>bikes-update works!</p>
<h2>Update Bike <fa-icon icon="pencil-alt"></fa-icon>
</h2>

<form [formGroup]="bikeFormGroup" novalidate (ngSubmit)="saveBike()">

    <div>
        <label for="">Model</label>
        <input type="text" formControlName="model" name="model">

        <div *ngIf="bikeFormGroup.get('model').invalid && 
        (bikeFormGroup.get('model').dirty || bikeFormGroup.get('model').touched)">

            <div *ngIf="bikeFormGroup.get('model').errors.required">
                <p class="error-validate">El campo es requerido</p>
            </div>

            <div *ngIf="bikeFormGroup.get ('model').errors.maxlength">
                <p class="error-validate"> El campo debe tener maximo 4 carateres</p>
            </div>


        </div>
    </div>


    <div>
        <label for="">Price</label>
        <input type="text" formControlName="price" name="price">

        <div *ngIf="bikeFormGroup.get('price').invalid && 
        (bikeFormGroup.get('price').dirty || bikeFormGroup.get('price').touched)">

            <div *ngIf="bikeFormGroup.get('price').errors.required">
                <p class="error-validate">El campo es requerido</p>
            </div>

        </div>
    </div>


    <div>
        <label for="">Serial</label>
        <input type="text" formControlName="serial" name="serial">

        <div *ngIf="bikeFormGroup.get('serial').invalid && 
        (bikeFormGroup.get('serial').dirty || bikeFormGroup.get('serial').touched)">

            <div *ngIf="bikeFormGroup.get('serial').errors.required">
                <p class="error-validate">El campo es requerido</p>
            </div>

            <div *ngIf="bikeFormGroup.get ('serial').errors.maxlength">
                <p class="error-validate"> El campo debe tener maximo 5 carateres</p>


            </div>
        </div>
    </div>

    <button type="submit" [disabled]="bikeFormGroup.invalid"> Guardar </button>

</form>